# -*- encoding: utf-8 -*-
# stub: smart_proxy_discovery 1.0.5 ruby lib

Gem::Specification.new do |s|
  s.name = "smart_proxy_discovery".freeze
  s.version = "1.0.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Shlomi Zadok".freeze]
  s.date = "2022-01-17"
  s.description = "This smart proxy plugin, together with a Foreman plugin, add the capability to discover unknown bare-metal. This plugin provides proxy API for nodes to communicate with Foreman instance and vice versa.".freeze
  s.email = "szadok@redhat.com".freeze
  s.extra_rdoc_files = ["LICENSE".freeze, "README.md".freeze]
  s.files = ["LICENSE".freeze, "README.md".freeze, "bundler.d/discovery.rb".freeze, "lib/smart_proxy_discovery.rb".freeze, "lib/smart_proxy_discovery/discovery.rb".freeze, "lib/smart_proxy_discovery/discovery_api.rb".freeze, "lib/smart_proxy_discovery/discovery_main.rb".freeze, "lib/smart_proxy_discovery/http_config.ru".freeze, "lib/smart_proxy_discovery/version.rb".freeze, "settings.d/discovery.yml.example".freeze]
  s.homepage = "https://github.com/theforeman/smart_proxy_discovery".freeze
  s.licenses = ["GPLv3".freeze]
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Discovery plugin for Foreman's smart proxy".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<mocha>.freeze, [">= 0"])
      s.add_development_dependency(%q<rack>.freeze, [">= 0"])
      s.add_development_dependency(%q<rack-test>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<rest-client>.freeze, [">= 0"])
      s.add_development_dependency(%q<test-unit>.freeze, [">= 0"])
      s.add_development_dependency(%q<webmock>.freeze, [">= 0"])
    else
      s.add_dependency(%q<mocha>.freeze, [">= 0"])
      s.add_dependency(%q<rack>.freeze, [">= 0"])
      s.add_dependency(%q<rack-test>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<rest-client>.freeze, [">= 0"])
      s.add_dependency(%q<test-unit>.freeze, [">= 0"])
      s.add_dependency(%q<webmock>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_dependency(%q<rack>.freeze, [">= 0"])
    s.add_dependency(%q<rack-test>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rest-client>.freeze, [">= 0"])
    s.add_dependency(%q<test-unit>.freeze, [">= 0"])
    s.add_dependency(%q<webmock>.freeze, [">= 0"])
  end
end
